Agents
List certificate renewal orchestration jobs
Path Parameters
organizationId*string
Format
uuidQuery Parameters
certificateId?string
Header Parameters
x-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
x-organization-id*string
Must match the organizationId path segment
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/renewal-jobs" \ -H "x-organization-role: ORG_ADMIN" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "items": [ { "id": "string", "organizationId": "string", "certificateId": "string", "applicationId": "string", "status": "scheduled", "expiresInDays": 0, "scheduledAt": "2019-08-24T14:15:22Z", "approvedAt": "2019-08-24T14:15:22Z", "renewedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "failedAt": "2019-08-24T14:15:22Z", "failureReason": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}{ "message": "string"}